
Infrastructure - Bug #3710

ORE index processing generates URLS against the solr endpoint that are too long

2013-04-09 23:19 - Skye Roseboom

Status: Closed Start date: 2013-04-09

Priority: Normal Due date: 2013-04-09

Assignee: Skye Roseboom % Done: 100%

Category: d1_indexer Estimated time: 0.00 hour

Target version: 2013.12-Block.2.2   

Milestone: CCI-1.1.2 Story Points:  

Product Version: *   

Description

Found when testing SEAD ORE documents.  An ORE that referenced 108 documents causes index processor to generate a query

against the solr index that is too long and not honored by the server.  Results in the ORE not being able to be processed - as the

logic assumes not all referenced items are in the index (and hence the ORE is not ready to process).

On cn-stage the following ORE doc has 108 references seadva-dino-25dd5808-68cf-4a14-bd95-cd4ee2e2096a.

Its associated sci-meta is: seadva-dino-cf0ca264-c663-4e94-83f5-9b05243950b1.

The ORE is not able to be indexed due to generating a bad URL.

Need to add paging to the query logic within index processing to avoid generating URL's over 8k in length.

Related issues:

Related to Member Nodes - MNDeployment #3521: SEAD Member Node Operational 2013-02-15 2013-03-11

History

#1 - 2013-04-10 21:27 - Skye Roseboom

- Status changed from New to In Progress

#2 - 2013-04-11 16:51 - Skye Roseboom

- Status changed from In Progress to Testing

Deployed to cn-dev and cn-stage to confirm we can place ORE with over 100 docs into the index.

#3 - 2013-05-13 23:36 - Skye Roseboom

- Status changed from Testing to Closed

Deployed to all three prod CN.

Powered by TCPDF (www.tcpdf.org)

2024-04-10 1/1

http://www.tcpdf.org

